tools

# Procedural File: lamdaemonTest.php

Source Location: /templates/tests/lamdaemonTest.php

## Page Details:

Tests the lamdaemon script.

#### Tags:

author: | Roland Gruber
author: | Thomas Manninger

#### Includes:

include_once("../../lib/config.inc") [line 35]
access to configuration options
include_once("../../lib/security.inc") [line 33]
security functions

### lamRunLamdaemonTestSuite [line 202]

`void lamRunLamdaemonTestSuite( String $serverName, String $serverTitle, boolean $testQuota)`

Runs all tests for a given server.

#### Parameters

String | $serverName | server ID
String | $serverTitle | server name
boolean | $testQuota | true, if Quotas should be checked

[ Top ]

### lamTestLamdaemon [line 131]

`boolean lamTestLamdaemon( string $command, boolean $stopTest, connection $handle, string $testText)`

Runs a test case of lamdaemon.

#### Tags:

return: | true, if errors occured

#### Parameters

string | $command | test command
boolean | $stopTest | specifies if test should be run
connection | $handle | SSH connection
string | $testText | describing text

[ Top ]

Documentation generated on Wed, 05 Aug 2009 19:53:00 +0200 by phpDocumentor 1.4.1